%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Pod-ToDemo

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	writes a demo program from a tutorial POD
Name:		perl-%{perlname}
Version:	1.01
Release:	4
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Pod+ToDemo
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Test-Exception 

%description
writes a demo program from a tutorial POD
For more details see: http://search.cpan.org/dist/Pod+ToDemo

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Build.PL destdir=%{buildroot}
./Build destdir=%{buildroot}

%install
rm -Rf %{buildroot}
./Build install destdir=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.01-4
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.01-3
- Rebuild against perl-5.8.8
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.01-2
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.01-1
- Initial Release  
